;--------------------------------------------------------------------
;
; Belegung 	IO-Adressen
; fuer Monitorversionen x.5
;
; Stand:	28.01.2018
;
;--------------------------------------------------------------------
;
; Multi-IO
;
; PIO1 Centronics und UNI-IO Kanal
;
pio1a		.equ	03h		; Centronic's
pio1b		.equ	13h		; frei
pio1c		.equ	23h		; Steuerung Centronics
pio1s		.equ	33h		; Steuerregister
bap1		.equ	0abh		; 1010 1011
					; Kanal A Modus 1 Ausgabe, Kanal B Modus 0 Eingabe
					; Kanal C Eingabe
;
; PIO2 IO-Byte und Systemuhr
;
pio2a		.equ	43h		; 
pio2b		.equ	53h		; IO-byte DIP-Schalter			<--		
pio2c		.equ	63h		; RTC 58321 Control
pio2s		.equ	73h		; Steuerregister
bap2		.equ	82h		; 1000 0010
bap2rdu	.equ	92h		; 1001 0010
;
; Timer
;
tim0		.equ	83h		; BD-Rate fuer com1
tim1		.equ	93h		; BD-Rate fuer com2 
tim2		.equ	0a3h		; frei
tims		.equ	0b3h		; Steuerregister
					; Timer0-2 als BCD-Zaehler, Rechteckgenerator,
					; erst Timewert-Low, dann Timewert-High laden
bati0		.equ	37h		; 0011 0111 
bati1		.equ	77h		; 0111 0111
bati2		.equ	0b7h		; 1011 0111
;
; V24
;
com1s		.equ	0c3h		; Steuerregister 
com1d		.equ	0d3h		; Daten com1
bacom1	.equ	15h		; Betriebsart (8bit,1Stop,ohne Paritaet, Takt/16)		;
;
com2s		.equ	0e3h		; Steuerregister
com2d		.equ	0f3h		; Daten com2
bacom2	.equ	15h		; Betriebsart (8bit,1Stop,ohne Paritaet, Takt/16)
;
baud		.equ	0020h		; 9600Bd fuer Muti-IO-Karte
;
;
;--------------------------------------------------------------------
;
; 87er V24-Schnittstellenkarte
;
com0s		.equ	0e9h		; ACIA 6850 Control/Statusregister
com0d		.equ  0f9h		;           Daten lesen/schreiben
;
cs_mode	.equ  0a9h		; Modus (Eingangswahlschalter)
cs_bell	.equ  0b9h		; Bell  (Schnarre)
;
timer0s	.equ  0d9h		; Timer 8253 Controlregister
timer00	.equ  89h		;            Zaehler 0
timer01	.equ  99h		;	   Zaehler 1 * nicht benutzt
timer02	.equ  0c9h		;	   Zaehler 2 * nicht benutzt
;
;
;--------------------------------------------------------------------
;
; RAM-Bank Umschaltung fuer CP/M Betrieb
;
bank		.equ	24h		; Port fuer Bankumschaltung
;
;					; 81h an 24h 0000-3fffh EPROM/VID
;					;            4000-ffffh RAM
;					; 01h an 24h 0000-ffffh RAM
;
;--------------------------------------------------------------------
;
; CF-Karte
;
cf_a		.equ 	0cah		; CAh   Daten Kanal A
cf_b		.equ	0dah		; DAh   Daten Kanal B
cf_c		.equ	0eah		; EAh   Daten Kanal C
cf_ctl	.equ	0fah		; FAh   Steuerwort
;
cf_ba		.equ	0c1h		; 1100 0001 = c1h
;
; Betriebsart 2 - Kanal A bidirektional, Handshake Kanal C
; Betriebsart 0 - Kanal B Ausgabe, Kanal C Bit0-2 Eingabe 
;
;--------------------------------------------------------------------
;
; FDC-Karte
;
fdc_sel	.equ	40h		; Floppy Selekt-Byte
fdc_ctl	.equ	48h		; WD1720 Controlregister
fdc_sp	.equ	49h		; Spurregister
fdc_sek	.equ	4ah		; Sektorregister
fdc_dat	.equ	4bh		; Datenregister
;
;
;--------------------------------------------------------------------
;
; Parallelschnittstelle
;
par_ctl	.equ	0d8h		; 8255 Control/Statusregister
par_pa	.equ	0a8h		;      Port A
par_pb	.equ	0b8h		;      Port B
par_pc	.equ	0c8h		;      Port C
;
;
;--------------------------------------------------------------------
;
;
; Echtzeituhr
;
uhr_ctl	.equ	19h		; 5832 Controlregister
uhr_dat	.equ	18h		;      Datenregister
;
;
;--------------------------------------------------------------------
;
; Thermodrucker
;
therm_d	.equ	38h		; Daten 
therm_ctl	.equ	39h		; Controlregister
;
;
;--------------------------------------------------------------------
;
; Eprom brenner
;
prom_ctl	.equ	0bh		; Controlregister
prom_adrl	.equ	09h		; Adressen untere Haelfte
prom_adrh	.equ	0ah		;          obere Haelfte
prom_dat	.equ	08h		; Daten
;
;
;--------------------------------------------------------------------
;
; Einzelschrittmodul
;
ssm_ff	.equ	1ah		; Singlestep-Modul FlipFlop
;
;
;--------------------------------------------------------------------
;
; Videokarte
;
vidreg	.equ	28h		; 6850 Controlregister
viddat	.equ	29h		; 6850 Datenregister
vidctl	.equ	2ah		; Format 40/80Zeichen
vid_dspen	.equ 	2ah		; Blanking 
					; (Umschaltung Zeichensatz/
					; Abfrage DiSPlayENable
					;
lin		.equ	50h		; 80d Zeichen pro zeile
lininv	.equ	0ffb0h	; - 80d + 1
;
;
;--------------------------------------------------------------------
;
; Hex-display
;
led_zeil	.equ	00h		; LED-Zeile
hex_d1	.equ	10h		; DIGIT 1
hex_d2	.equ	20h		; DIGIT-2
hex_d3	.equ	30h		; DIGIT-3
hex_d4	.equ	40h		; DIGIT-4
hex_d5	.equ	50h		; DIGIT-5
hex_d6	.equ	60h		; DIGIT-6
hex_d7	.equ	70h		; DIGIT-7
outpor	.equ	80h		; DIGIT-7 (+10h)
;
;
;--------------------------------------------------------------------
;
; Hex-Tastatur
;
comand	.equ	0bch		; CMD-Keys
hexhi		.equ	0dch		; Hex 8..F
hexlo		.equ	0ech		; Hex 0..7
;
nxtnr		.equ	0h		; NXT-Spalte
fctnr		.equ	2h		; FCT-Spalte
adrnr		.equ	4h		; ADR-Spalte
runr		.equ	6h		; RUN-Spalte
diodnr	.equ	7h		; Ge-Diode (zur Unterscheidung 
;
;
;--------------------------------------------------------------------
;
; HEX-/ASCII-Tastatur)
;
; ASCII-Tastatur			Adressbereich 0ch bis fch
;
ascii		.equ	0fch		; oberste Adresse
;					; 
;
;--------------------------------------------------------------------
;
