;--------------------------------------------------------------------
;
; Belegung 	Monitor Sprungtabellen
; fuer Monitorversionen x.5
;
; Stand:	28.01.2018
;
;--------------------------------------------------------------------
;
; Monitor				EPROM-Platz #0
;
; Adressen vom Monitor #0
;
;--------------------------------------------------------------------
;
; Monitor				EPROM-Platz #0
;
; Adressen vom Monitor #0
;
rst0_m	.equ	0000h		; RST0	--> Kaltstart
bcpm_m	.equ	0003h		; Boot CP/M 
fquarz_m	.equ  0006h		; Taktfrequenz in MHz 
timprl_m	.equ  0007h		; Prellzeit der Tastatur 
rst1_m  	.equ 	0008h		; RST1
dely1_m	.equ 	000bh		; DELY1 --> 1ms Laufzeit
prtbdr_m	.equ  000eh		; Baudrate fuer Drucker	= 4800Bd
rst2_m	.equ 	0010h		; RST2
dely100_m 	.equ 	0013h		; DELY100 --> mit SSG-Anzeige
casbdr_m	.equ  0016h		; Baudrate fuer Cassetten = 1200Bd
rst3_m	.equ 	0018h		; RST3
onesec_m 	.equ 	001bh		; ONESEC --> 1s Laufzeit
v24bdr_m	.equ  001eh		; Baudrate fuer V24-Schnittstelle = 4800Bd
rst4_m	.equ 	0020h		; RST4
trap_m	.equ	0024h		; TRAP	--> FDC-Routinen
rst5_m	.equ 	0028h		; RST5  
rst55_m	.equ 	002ch		; RST5.5 --> FDC-Routinen
rst6_m	.equ 	0030h		; RST6
rst65_m	.equ 	0034h		; RST6.5 
rst7_m	.equ 	0038h		; RST7
rst75_m	.equ 	003ch		; RST7.5 
mvers_m	.equ  003fh		; Monitorversion z.B. 55 fuer Version 5.5
adrset_m	.equ 	0040h		; Adresse laden
ci_m		.equ 	0043h		; CI ASCII-Tastatur abfragen (A)
ri_m		.equ 	0046h		; RI ein Byte von Kasetteninterface empfangen (A)
co_m		.equ 	0049h		; CO Inhalt(C) ASCII an Bildschirm (UPDATE)
po_m		.equ 	004ch		; PO Inalt (C) auf Kasetteninterface (1200Bd)
lo_m		.equ 	004fh		; LO Inalt (C) ASCII-Zeichen V24 (4800Bd)
csts_m  	.equ 	0052h		; CSTS Status ASCII-Tastatur 
					;	 gedrueckt Z=0 sonst Z=1
csinit_m	.equ 	0055h		; 
loinit_m	.equ 	0058h		; LO-Init
maxram_m	.equ 	005bh		; MEMCHK Speichertest (AB)max Adressen
prtmod_m	.equ  005eh		; Betriebsart 
;					; (8bit,1Stop,ohne Paritaet, Takt/16) =15h
casmod_m	.equ  005fh		; Cassettenbetriebsart 
					; (8daten, ohne Paritaet) = 10h
v24mod_m	.equ  0060h		; V24 Betriebsart
					; (8bit,1Stop,ohne Paritaet, Takt/16) = 15h
time_m	.equ 	0061h		; TI Uhrzeit lesen ASCII in Buffer 
v24ini_m	.equ 	0064h		; wird ueber PCHL aus Videomonitor angesprungen
cnvbyt_m 	.equ 	0067h		; SSG-Umsetzen
reles_m	.equ 	006ah		; HEX-Tastatur auf Loslassen warten
press_m  	.equ 	006dh		;  "           auf Drücken warten
hhkey_m	.equ 	0070h		; HEX-Input
cckey_m  	.equ 	0073h		; CMD-Input
datset_m 	.equ 	0076h		; Daten-Mode einstellen
writur_m	.equ 	0079h		; WRITUR Uhrzeit stellen 
					; (HL)Std,min, (BC)Wochentag, (DE)Monat,Jahr
readur_m	.equ 	007ch		; READUR Uhrzeit lesen BCD(HL)Adresse 
save_m   	.equ 	007fh		; Register vorbereiten/sichern 
restor_m	.equ 	0082h		; Registersatz laden, Start
fill_m	.equ 	0085h		; FILL Speicher fuellen (SRCBEG,SRCEND,DSTBEG)
copy_m 	.equ 	0088h		; COPY Speicher kopieren (SRCBEG,SRCEND,DSTBEG)
casot_m	.equ 	008bh		; Casetten Ausgabe
casin_m	.equ 	008eh		; Eingabe
exchan_m	.equ 	0091h		; Copy mit Adressumsetzung
ezudsp_m	.equ 	0094h		; Uhr in SSG-Anzeige
dspacc_m	.equ 	0097h		; (ACC) darstellen
dsphl_m	.equ 	009ah		; (HL) darstellen
dsperr_m 	.equ 	009dh		; Fehleranzeige
;  
; Anmerkung
; RST Sprungverteiler ist in der Datei System-ram.asm abgebildet
; lediglich der trap springt aus Timinggründen direkt über PCHL
; in die FDC-Routine
;
;--------------------------------------------------------------------
;
; Floppy-Controller		EPROM-Platz #2
;
;
fdck_f 	.equ	2000h		; FDCK: FDC-Routinen Kaltstart
fdcw_f 	.equ	2003h		; WARM: FDC-Routinen Warmstart
rdblk_f	.equ	2009h		; Block lesen
settr_f	.equ	2676h		;
setsek_f	.equ	2682h		;
rdsek_f	.equ	26aah		;
wrsek_f	.equ	268eh		;
;
; Thermodrucker
;
thermo: 	.equ	2014h		; Sprung nach Adr 2014h Thermodrucker 
;
; BASIC-Interpreter
;
basic		.equ	4000h		;
;
; Assembler				;
;
assembler	.equ	6000h		;
;
;
disass	.equ	6c00h		;
;
; Editor
;
edit		.equ	7000h		;
;
; Promer
;
promsw	.equ	7a00h		; zum 87er Promer 
;
;--------------------------------------------------------------------