;--------------------------------------------------------------------
;
; Belegung 	System-Parameter
;		System-Ram 	2d00h - 2fffh 
;		Vid-Ram	3000h - 3780h
;
; fuer Monitorversionen x.5
;
; Stand:	29.01.2018
;
;--------------------------------------------------------------------
;
; SYSTEM-PARAMETER
;
rstoff	.equ	17h		; Interuppt sperren
;
; SYSTEM-RAM Belegung
;
rambeg	.equ	2800h		; CPU-RAM					
					; Benutzerbereich bis 2d00h
batbuf	.equ	2d00h		; 						
buff_poi	.equ	2e00h		; Buffer f.Thermo-Drucker
buff_th	.equ	2e00h		; Buffer f.Thermo-Drucker
buff_num	.equ	2e02h		; Zeichenzaehler
buff_txt	.equ	2e03h		; Textbuffer
;											
fctbuf	.equ	2e20h		; Fct-Tasten				
fct_7		.equ	2e20h		; 						
fct_6		.equ	2e22h		; 						
fct_5		.equ	2e24h		; 						
fct_4		.equ	2e26h		; 						
fct_3		.equ	2e28h		; 						
fct_2		.equ	2e2ah		; 						
fct_1		.equ	2e2ch		; 						
fct_97	.equ	2e2eh		; 87er	Hardware
fct_77	.equ	2e30h		; 87er	Hardware
fct_del	.equ	2e32h		; 						
fct_pl	.equ	2e34h		; 						
fct_ss	.equ	2e36h		; 						
fct_0		.equ	2e38h		; 						
fct_9		.equ	2e3ah		; 						
fct_8		.equ	2e3ch		; 						
fct_87	.equ	2e3eh		; 87er	Hardware
;
buff_vid	.equ	2e4eh		; Video
hordsp	.equ	2e4eh		;
verdsp	.equ	2e4fh		;
lin2		.equ	2e50h		;
liny		.equ	2e52h		;
linz		.equ	2e54h		;
update	.equ	2e56h		; aktuelle	Cursorposition
buff_ln	.equ	2e60h		; Linebuffer 80 Zeichen
buff_mon	.equ	2eb0h		; Monitor
buff_ass	.equ	2f00h		; Assembler
stack		.equ 	2f00h		; Monito Stack
;
buff_usr	.equ	2f70h		; Userstack
usrstk	.equ	2f70h		;
; 
; _r = Sprungleiste im System RAM
; _m = Sprungleiste im Monitor Rot											
buff_irq_r	.equ	2f8ch		; Interuptverteiler
trap_r	.equ	2f8ch		; im System-RAM						
rst3_r	.equ	2f8fh		; 						
rst4_r	.equ	2f92h		; !in Monitor-Sprungleiste						
rst5_r	.equ	2f95h		; ! sin die Labels						
rst55_r	.equ	2f98h		; ! mit _m vorhanden			
rst6_r	.equ	2f9bh		; 						
rst65_r	.equ	2f9eh		; 						
rst7_r	.equ	2fa1h		; 						
rst75_r	.equ	2fa4h		;
;					; Inhalt					
reg_a		.equ	2fa7h		; Reg	A					
reg_b		.equ	2fa8h		; Reg	B					
reg_c		.equ	2fa9h		; Reg	C					
reg_d		.equ	2faah		; Reg	D					
reg_e		.equ	2fabh		; Reg	E					
reg_f		.equ	2fach		; Reg	F					
reg_h		.equ	2fadh		; Reg	H					
reg_l		.equ	2faeh		; Reg	L					
reg_s		.equ	2fafh		; Reg	SP high-Byte
reg_p		.equ	2fb0h		; Reg SP low-Byte
;					; LED-Zeile		
dspbuf	.equ	2fb2h		; DSPBUF	LED-Zeile			
dig1		.equ	2fb3h		; DIG1					
dig2		.equ	2fb4h		; DIG2					
dig3		.equ	2fb5h		; DIG3					
dig4		.equ	2fb6h		; DIG4					
dig5		.equ	2fb7h		; DIG5					
dig6		.equ	2fb8h		; DIG6					
dig7		.equ	2fb9h		; DIG7					
data		.equ	2fbah		; Daten
;											
adres		.equ	2fbbh		; Adresse	HI				
adrhi		.equ	2fbch		; Adresse	LO				
modflg	.equ	2fbdh		; Betriebsarten	*1)			
fctbf		.equ	2fbeh		; FCT-Nr.					
srcbeg	.equ	2fbfh		; Startadresse				
srcend	.equ	2fc1h		; Endadresse				
dstbeg	.equ	2fc3h		; Anfang Zieladresse/Parameter	
dstend	.equ	2fc5h		; 						
regnr		.equ	2fc7h		; Reg-Nr.					
ioflg		.equ	2fc8h		; I/O-Parameter	*2)			
nxtbuf	.equ	2fc9h		; FCT-Eingabe				
maxbuf	.equ	2fcah		; max.	Anz.				
keybyt	.equ	2fcbh		; Key	true./.invers			
ciflg		.equ	2fcch		; Flag	f.	CI-Routine		
hibuf		.equ	2fcdh		; I/O-Hilfsroutine			
hbuf		.equ	2fcfh		; 						
hibuf2	.equ	2fd0h		; CTE-Sprungziele				
hbuf2		.equ	2fd1h		; 						
brkpt1	.equ	2fd3h		; BRK-Adresse	#1			
hbufe		.equ	2fd4h		; HBUFFER	fuer	ESC			
opcod1	.equ	2fd5h		; OpCcode-Buf	#1			
brkpt2	.equ	2fd6h		; BRK-Adresse	#2			
hbuf3		.equ	2fd7h		; 						
opcod2	.equ	2fd8h		; OpCode-Buf	#2
second	.equ	2fdah		; Sekunde			
uhrbuff	.equ	2fdch		; Uhr-BCD					
uhrseke	.equ	2fdch		; Sekunden		Einer			
uhrsekz	.equ	2fddh		; 			Zehner		
uhrmine	.equ	2fdeh		; Minuten		Einer			
uhrminz	.equ	2fdfh		; 			Zehner		
uhrstde	.equ	2fe0h		; Stunden		Einer			
uhrstdz	.equ	2fe1h		; 			Zehner		
uhrklte	.equ	2fe2h		; Kalendertag	1-7			
uhrwte	.equ	2fe3h		; Wochentag		Einer			
uhrwtz	.equ	2fe4h		; 			Zehner		
uhrmone	.equ	2fe5h		; Monat		Einer			
uhrmonz	.equ	2fe6h		; 			Zehner		
uhrjare	.equ	2fe7h		; Jahr		Einer			
uhrjarz	.equ	2fe8h		; 			Zehner
;		
uhrasc	.equ	2fe9h		; Uhr-ASCII	als String abgelegt	
;
vidram	.equ	3000h		; Anfang Video-RAM			
dedwn		.equ	313fh		; 						
bcup		.equ	3140h		; 						
vhome		.equ	3140h		; ! Klärungsbedarf 07.02.18 						
hlup		.equ	3190h		; 						
hldwn		.equ	372fh		; 						
;linz		.equ	3730h		; unten	links				
bcdwn		.equ	377fh		; 						
vidend	.equ	3780h		; hinter	Bildausschnitt				
deup		.equ	3780h		; 						
;
; Buffer adressen
;
ccp60k	.equ	0d400h	; Bank 1 Startadresse 60k CP/M	
bios60k	.equ	0ea00h	; Bank 1 BIOS Kaltstart
buffer	.equ	0d400h  	; Bank 0 wg. BIOS Anpassungen 
zbuff		.equ	2e10h		; Zeilenbuffer
fdcbuf	.equ	2f70h		; bzw. UserStack
cpybuf	.equ	8000h		;
;
    .org fdcbuf

trknr: 	.ds	1h          ; Spurnummer
secnr: 	.ds	1h          ; Sektornummer
sidnr: 	.ds	1h          ; Seite 0/1
selbyt:	.ds	1h          ; SelectByte Bit1,2 = Laufwerksnummer
selout:	.ds	1h
track0:	.ds	2h
track2:	.ds	2h
rwbef: 	.ds	1h
datadr:	.ds	2h          ; Buffer-Adresse r/w Sektoren
intprg:	.ds	2h
rwsub: 	.ds	1h
rwsub1:	.ds	2h
;hibuf: 	.ds	2h		siehe oben
buf.dst:	.ds	1h
bufsrc:	.ds	1h          ; IM CF-Betrieb = Anzahl der Sektoren die uebertragen werden
cpyend:	.ds	1h		;
;	
timout 	.equ	32h		;
dly100 	.equ	13h		;
seczal 	.equ	16 		;
secldd 	.equ	1  		; 256 Bytes
;
;--------------------------------------------------------------------
; *1) Mode-Flags Funktionen
;
;	Bit7 6 5 4 3 2 1 0
;	   : : : : : : : :
;        : : : : : : : + - Daten-Mode
;        : : : : : : + - - Adress-Mode
;        : : : : : + - - - Register-Mode
;        : : : : + - - - - Funktionseingabe
;	   : : : + - - - - - ESC-0 wird von "1B" ESC gesetzt
;	   : : + - - - - - - ESC-1 zweiter Parameter
;	   : : + - - - - - - ESC-2 dritter Parameter
;	   :
;	   + - - - - - - - - Einzelschrittbetrieb
;
; *2) IO-Flag	Funktionen
;
;      Aufbau des I/O-FLAGs (IOFLG):
;
;     Bit7 6 5 4 3 2 1 0
;        : : : : x x x :
;        : : : :       + - Shift Lock
;        : : : + - - - - - Thermo-Drucker
;        : : + - - - - - - 8255-         /  laeuft
;        : + - - - - - - - Centronics-   /  zu CO
;        + - - - - - - - - V.24-         /parallel
;
;
;      Das Umschalten der Bits 1...7 erfolgt
;      durch Betaetigen der Tasten CTL+1...7.
;
;
;
;--------------------------------------------------------------------											
